Request
GET /v3/tokens/{token_id}
Path parameters
| Parameter | Type | Description |
|---|---|---|
token_id | string | Outcome token ID |
Example
curl https://api.polynode.dev/v3/tokens/75783394880030392863380883800697645018418815910449662777195626260206142035810
{
"data": [
{
"category": null,
"condition_id": "0xaa08b43f2e39a28c52278738d456dfce516fcd966d43f157aab3727457cd4b6c",
"outcome": "Down",
"outcome_index": 1,
"price": 1.0,
"question": "Bitcoin Up or Down - March 29, 1:10AM-1:15AM ET",
"resolved": true,
"slug": "btc-updown-5m-1774761000",
"source": "v1_condition",
"tag_slugs": [
"Crypto",
"Bitcoin",
"Crypto Prices",
"Recurring",
"Up or Down",
"Hide From New",
"5M"
],
"token_id": "40671034664065625078050343379339320067070367341089437265715901074008336896448",
"updated_at": "2026-05-16 11:42:10.666489"
}
],
"elapsed_ms": 3,
"has_more": false,
"limit": 1,
"offset": 0,
"rows_returned": 1
}
Response columns
| Column | Type | Description |
|---|---|---|
token_id | string | Outcome token ID |
price | number | Current price in USD (0–1 for unresolved, exactly 0 or 1 for resolved) |
resolved | boolean | Whether the market has settled |
source | string | Price source: settlement, clob_mid, v1_condition, last_fill |
updated_at | string | When the price was last updated |
condition_id | string | Market condition ID |
outcome | string | Outcome label (e.g. “Aurora”, “Yes”) |
outcome_index | integer | Outcome position (0 or 1) |
question | string | Market question |
slug | string | Market URL slug |
category | string | Market category |
tag_slugs | array | Category tags |

